org.apache.poi.hslf.usermodel

## Class HSLFNotes

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFSheet
  - - org.apache.poi.hslf.usermodel.HSLFNotes

- All Implemented Interfaces:
    java.lang.Iterable<HSLFShape>, HSLFShapeContainer, Notes<HSLFShape,HSLFTextParagraph>, ShapeContainer<HSLFShape,HSLFTextParagraph>, Sheet<HSLFShape,HSLFTextParagraph>

      public final class HSLFNotes
      extends HSLFSheet
      implements Notes<HSLFShape,HSLFTextParagraph>

  This class represents a slide's notes in a PowerPoint Document. It allows access to the text within, and the layout. For now, it only does the text side of things though
  Author:
    Nick Burch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static POILogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSLFNotes(Notes notes)` Constructs a Notes Sheet from the given Notes record.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HeadersFooters` | `getHeadersFooters()` Header / Footer settings for this slide.
    `HSLFMasterSheet` | `getMasterSheet()` Return `null` - Notes Masters are not yet supported
    `HSLFPlaceholderDetails` | `getPlaceholderDetails(Placeholder placeholder)` Get the placeholder details for the given placeholder type.
    `java.util.List<java.util.List<HSLFTextParagraph>>` | `getTextParagraphs()` Returns an array of all the TextParagraphs found

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFSheet

      `_getSheetNumber, _getSheetRefId, addShape, allocateShapeId, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, draw, getBackground, getColorScheme, getFollowMasterGraphics, getPlaceholder, getPlaceholderByTextType, getPPDrawing, getProgrammableTag, getShapes, getSheetContainer, getSlideShow, iterator, onAddTextShape, onCreate, removeShape, setSlideShow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `draw, getBackground, getFollowMasterGraphics, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Field Detail

    - #### logger

          protected static final POILogger logger

  - ### Constructor Detail

    - #### HSLFNotes

          public HSLFNotes(Notes notes)

      Constructs a Notes Sheet from the given Notes record. Initialises TextRuns, to provide easier access to the text
      Parameters:
        `notes` - the Notes record to read from

  - ### Method Detail

    - #### getTextParagraphs

          public java.util.List<java.util.List<HSLFTextParagraph>> getTextParagraphs()

      Returns an array of all the TextParagraphs found
      Specified by:
        `getTextParagraphs` in interface `Notes<HSLFShape,HSLFTextParagraph>`
      Specified by:
        `getTextParagraphs` in class `HSLFSheet`

    - #### getMasterSheet

          public HSLFMasterSheet getMasterSheet()

      Return `null` - Notes Masters are not yet supported
      Specified by:
        `getMasterSheet` in interface `Sheet<HSLFShape,HSLFTextParagraph>`
      Specified by:
        `getMasterSheet` in class `HSLFSheet`

    - #### getHeadersFooters

          public HeadersFooters getHeadersFooters()

      Header / Footer settings for this slide.
      Overrides:
        `getHeadersFooters` in class `HSLFSheet`
      Returns:
        Header / Footer settings for this slide

    - #### getPlaceholderDetails

          public HSLFPlaceholderDetails getPlaceholderDetails(Placeholder placeholder)

      Description copied from interface: `Sheet`
      Get the placeholder details for the given placeholder type. Not all placeholders are also shapes - this is especially true for old HSLF slideshows, which notes have header/footers elements which aren't shapes.
      Specified by:
        `getPlaceholderDetails` in interface `Sheet<HSLFShape,HSLFTextParagraph>`
      Overrides:
        `getPlaceholderDetails` in class `HSLFSheet`
      Parameters:
        `placeholder` - the placeholder type
      Returns:
        the placeholder details or `null`, if the placeholder isn't contained in the sheet

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.